/*******************************************************************************
 * tools.hpp
 * tools collection class with common functions and variables 
 *
 * Copyright (C) 2006 Joacim Thomassen
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or any later version. 
 * (See accompanying file LICENSE.txt or copy at 
 * http://www.gnu.org/copyleft/gpl.html)
 */

#ifndef TOOLS_HPP 
#define TOOLS_HPP

#include <vector>
#include <string>
#include <cstdlib>

using namespace std;

class Tools
{
   private:
      Tools() {};
      static Tools* m_instance;
      vector<int> m_seed_genome;
   public:
      static Tools* GetInstance();
      vector<int>& GetSeed();
      void SetSeed(const char* seed_file);
      void join(const vector<string>& v, char c, string& s);
};

#endif
